OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TDF

# TDF_DeltaOnModification Class Reference

This class provides default services for an
AttributeDelta on a MODIFICATION action.
Applying this AttributeDelta means GOING BACK to
the attribute previously registered state.
.

`#include <TDF_DeltaOnModification.hxx>`

Inheritance diagram for TDF_DeltaOnModification:

[legend]

## Public Member Functions
virtual Standard_EXPORT void | Apply ()
| Applies the delta to the attribute. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Protected Member Functions
Standard_EXPORT | TDF_DeltaOnModification (const Handle(TDF_Attribute)&anAttribute)
| Initializes a TDF_DeltaOnModification. .

## Constructor & Destructor Documentation

Standard_EXPORT TDF_DeltaOnModification::TDF_DeltaOnModification | ( | const Handle(TDF_Attribute)& | anAttribute | ) | `[protected]`

## Member Function Documentation

virtual Standard_EXPORT void TDF_DeltaOnModification::Apply | ( |  | ) | `[virtual]`

| Implements TDF_AttributeDelta. Reimplemented in TDataStd_DeltaOnModificationOfByteArray, TDataStd_DeltaOnModificationOfExtStringArray, TDataStd_DeltaOnModificationOfIntArray, TDataStd_DeltaOnModificationOfIntPackedMap, TDataStd_DeltaOnModificationOfRealArray, TDF_DefaultDeltaOnModification, and TNaming_DeltaOnModification.

Standard_EXPORT const TDF_DeltaOnModification::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_AttributeDelta. Reimplemented in TDataStd_DeltaOnModificationOfByteArray, TDataStd_DeltaOnModificationOfExtStringArray, TDataStd_DeltaOnModificationOfIntArray, TDataStd_DeltaOnModificationOfIntPackedMap, TDataStd_DeltaOnModificationOfRealArray, TDF_DefaultDeltaOnModification, and TNaming_DeltaOnModification.

The documentation for this class was generated from the following file:

- TDF_DeltaOnModification.hxx